//this program has draws two balls bouncing, one moving vertically, one moving horizontally
//across the screen. at the point where they collide, the word CRASH is written 
//onscreen. we use the dist() function to test the distance between the center
//of each ball, to check for a collision.

int xpos; //declare your variable type and give it a name
int xspeed; //
int ypos; //declare your variable type and give it a name
int yspeed; //

//add a variable for size of ball;
int ballsize;
void setup() //do  some stuff to get ready for the sketch
{
  size(400, 400); //set window size
  //stroke(255); //set color of stroke or outline
  background(0); //set background color to black
  smooth(); //smooth out any shapes you draw
  xpos = 0; //set your variable (we'll change it in the draw loop)
  xspeed = 2;
  ypos = 0; //set your variable (we'll change it in the draw loop)
  yspeed = 2;
  ballsize= 30;
  fill(255); //fill color is white

} 

void draw() 
{
  background(0);
  ellipse(200, ypos, ballsize, ballsize);
  fill(0,0,255);
  ypos += yspeed; 
  if(ypos > 400 || ypos < 0)// if ypos is greater than 400 or height
  {
    yspeed *= -1;
  } 
  ellipse(xpos, 200, ballsize, ballsize);
  fill(255,0,0);
  xpos += xspeed; 
  if(xpos > 400 || xpos < 0)// if xpos is greater than 400 or height
  {
    xspeed *= -1;
  } 
  
  
  //check the distance between the current position of the first ball and the position
  //of the second ball. remember one ball moves only along the x axis (xpos, 200) and one ball moves
  //along the y axis. (200,ypos). we check if the distance between xpos, 200 and ypos, 200
  //is less than width or height of the ball (ballsize) divided by 2, or the radius of the ball.
  //if it's less, it means the balls are colliding!
  if(dist(xpos, 200,200,ypos)<ballsize/2)//check for collison
  { 
    fill(0,200,255);
  text("CRASH!", 150, 200);//if colliding, display CRASH
  }
  
}  
